petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetAO

Gets the application ordering context for a distributed array.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetAO(DM da,AO *ao)

Collective on DMDA Many br

### Input Parameter

da -the distributed array Many br

### Output Parameters

ao -the application ordering context for DMDAs Many br

Many br

### Notes

In this case, the AO maps to the natural grid ordering that would be used Many brfor the DMDA if only 1 processor were employed (ordering most rapidly in the Many brx-direction, then y, then z). Multiple degrees of freedom are numbered Many brfor each node (rather than 1 component for the whole grid, then the next Many brcomponent, etc.) Many br

### Keywords

distributed array, get, global, indices, local-to-global

### See Also

DMDACreate2d(), DMDASetAOType(), DMDAGetGhostCorners(), DMDAGetCorners(), DMDALocalToGlocal()
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToLocalBegin(), DMLocalToLocalEnd(), DMDAGetOwnershipRanges(), Many brAO, AOPetscToApplication(), AOApplicationToPetsc() Many br

Level:intermediate
Location:src/dm/impls/da/daindex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages